unit Unit1;

interface

uses
  System.SysUtils, System.Classes, JS, Web, WEBLib.Graphics, WEBLib.Controls,
  WEBLib.Forms, WEBLib.Dialogs, Vcl.Controls, WEBLib.ExtCtrls, WEBLib.WebCtrls,
  Vcl.StdCtrls, WEBLib.StdCtrls, WEBLib.Devices, WEBLib.SignatureCapture;

type
  TForm1 = class(TWebForm)
    WebLabel1: TWebLabel;
    WebLabel2: TWebLabel;
    WebButton1: TWebButton;
    WebTrackBar1: TWebTrackBar;
    WebSignatureCapture1: TWebSignatureCapture;
    procedure WebButton1Click(Sender: TObject);
    procedure WebTrackBar1Change(Sender: TObject);
    procedure WebFormResize(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.WebButton1Click(Sender: TObject);
var
  el: TJSHTMLElement;
begin
  el := TJSHTMLElement(document.createElement('A'));
  el.setAttribute('href', WebSignatureCapture1.GetAsBase64Image);
  el.setAttribute('download', 'signature.png');
  el.style.setProperty('display', 'none');
  document.body.appendChild(el);
  el.click;
  document.body.removeChild(el);
end;

procedure TForm1.WebFormResize(Sender: TObject);
begin
  if Width <= 416 then
  begin
    WebSignatureCapture1.Width := Width - 16;
    Webbutton1.Width := Width - 16;
  end
  else
  begin
    WebSignatureCapture1.Width := 400;
    WebButton1.Width := 400;
  end;
end;

procedure TForm1.WebTrackBar1Change(Sender: TObject);
begin
  WebSignatureCapture1.Pen.Width := WebTrackBar1.Position;
  WebLabel2.Caption := IntToStr(WebTrackBar1.Position);
end;

end.
